import os

from setuptools import setup, find_packages

here = os.path.abspath(os.path.dirname(__file__))
with open(os.path.join(here, 'README.txt')) as f:
    README = f.read()
with open(os.path.join(here, 'CHANGES.txt')) as f:
    CHANGES = f.read()

# We don't require pyramid because the app will require
# it anyhow, and will need a specific version.
requires = [
    ]

setup(name='PyramidUWSGI',
      version='0.0',
      description='PyramidUWSGI runs a pyramid application from uwsgi',
      long_description=README + '\n\n' + CHANGES,
      classifiers=[
        "Programming Language :: Python",
        "Framework :: Pyramid",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Internet :: WWW/HTTP :: WSGI :: Application",
        ],
      author='Karl O. Pinc',
      author_email='kop@meme.com',
      url='',
      keywords='web pyramid pylons uwsgi',
      packages=find_packages(),
      include_package_data=True,
      zip_safe=False,
      install_requires=requires,
      tests_require=requires,
      test_suite="pyramidwsgi",
      scripts = ['pyramidwsgi/pyramid_wsgi',
                ],
      entry_points="""\
      """,
      )
