dnl Copyright (C) 2013 The Meme Factory, Inc.  http://www.meme.com/
dnl Copyright (C) 2004, 2008, 2009, 2011, Karl O. Pinc  <kop@meme.com>
dnl
dnl    This file is part of Babase.
dnl
dnl    Babase is free software; you can redistribute it and/or modify
dnl    it under the terms of the GNU General Public License as published by
dnl    the Free Software Foundation; either version 3 of the License, or
dnl    (at your option) any later version.
dnl
dnl    This program is distributed in the hope that it will be useful,
dnl    but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl    GNU General Public License for more details.
dnl
dnl    You should have received a copy of the GNU General Public License
dnl    along with Babase.  If not, see <http://www.gnu.org/licenses/>.
dnl
dnl Remove all functions from the database
dnl
dnl Karl O. Pinc <kop@meme.com>
dnl
dnl Bugs:
dnl  The abstraction of the datatypes that uses column names does not
dnl really work.  Combinations of errors and changing table definition
dnl can leave an old function lying around.
dnl
dnl m4 includes
include(`copyright.m4')
include(`types.m4')

--
-- Remove all functions from the database so
-- we can re-create it with our creation scripts.
--

--
-- Functions
--

DROP FUNCTION swerb_copy(TEXT, DATE, DATE);
DROP FUNCTION swerb_copybe(TEXT, INT);
