dnl Copyright (C) 2011-2013 The Meme Factory, Inc., http://www.meme.com/
dnl Copyright (C) 2007-2011 Karl O. Pinc
dnl
dnl    This file is part of Babase.
dnl
dnl    Babase is free software; you can redistribute it and/or modify
dnl    it under the terms of the GNU General Public License as published by
dnl    the Free Software Foundation; either version 3 of the License, or
dnl    (at your option) any later version.
dnl
dnl    This program is distributed in the hope that it will be useful,
dnl    but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl    GNU General Public License for more details.
dnl
dnl    You should have received a copy of the GNU General Public License
dnl    along with Babase.  If not, see <http://www.gnu.org/licenses/>.
dnl
dnl Karl O. Pinc <kop@meme.com>
dnl
dnl Remarks:
dnl
dnl m4 includes
include(`copyright.m4')
include(`constants.m4')
include(`grants.m4')
include(`types.m4')
include(`tablemacros.m4')
include(`indexmacros.m4')

-- Make the babase tables we are still developing and give out privilges.

--
-- Make all the tables and give out privilges.
--

--
-- Support Tables
--

--
-- The primary tables
-- 

-- Note that we don't have to grant execute privileges on the functions
-- we use in triggers as the triggers execute with our (the database
-- owner's) permissions.


-- Indexes, add to makeindexes file.

-- Main tables
