dnl Copyright (C) 2011, Karl O. Pinc
dnl
dnl    This file is part of Babase.
dnl
dnl    Babase is free software; you can redistribute it and/or modify
dnl    it under the terms of the GNU General Public License as published by
dnl    the Free Software Foundation; either version 3 of the License, or
dnl    (at your option) any later version.
dnl
dnl    This program is distributed in the hope that it will be useful,
dnl    but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl    GNU General Public License for more details.
dnl
dnl    You should have received a copy of the GNU General Public License
dnl    along with Babase.  If not, see <http://www.gnu.org/licenses/>.
dnl
dnl Karl O. Pinc <kop@meme.com>
dnl
dnl Macros used to create indexes.
dnl
dnl Don't output anything while defining macros.
divert(-1)

-- Macro to make the indexes for the testes tables.
--
-- Syntax: _make_testes_indexes(suffix)
--
-- Input:
--   suffix  The suffix at the end of the testes table name.
--  
changequote([,])
define([_make_testes_indexes], [dnl
CREATE INDEX translit(testes_$1_dartid, A-Z, a-z) ON testes_$1(dartid);
CREATE INDEX translit(testes_$1_testlength, A-Z, a-z) ON testes_$1(testlength);
CREATE INDEX translit(testes_$1_testwidth, A-Z, a-z) ON testes_$1(testwidth);])dnl
changequote(`,')dnl  See above

-- Done defining macros.
divert`'dnl
