dnl Copyright (C) 2012 The Meme Factory, Inc.  http://www.meme.com/
dnl Copyright (C) 2004, 2008, Karl O. Pinc
dnl
dnl    This file is part of Babase.
dnl
dnl    Babase is free software; you can redistribute it and/or modify
dnl    it under the terms of the GNU General Public License as published by
dnl    the Free Software Foundation; either version 3 of the License, or
dnl    (at your option) any later version.
dnl
dnl    This program is distributed in the hope that it will be useful,
dnl    but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl    GNU General Public License for more details.
dnl
dnl    You should have received a copy of the GNU General Public License
dnl    along with Babase.  If not, see <http://www.gnu.org/licenses/>.
dnl
dnl Make datatypes used throughout the application.
dnl
dnl Karl O. Pinc <kop@meme.com>
dnl
dnl Note that we wouldn't really need these datatypes if we
dnl could use %TYPE notation to declare arrays.
dnl 
dnl These types are used somewhat inconsistently.  The group
dnl type is used everywhere.  (It's so grody.)  The others are 
dnl just used when necessary, i.e., when declaring arrays and
dnl in the original column defintion.  Otherwise, the column
dnl datatype is referenced with a %TYPE.
dnl
changequote([{[,]}])dnl m4 foolery so includes include only once.
dnl                     Once the macro is in the text, change the quotes back
ifdef([{[_maketypes.m4]}], [{[changequote(`,')]}], [{[dnl
changequote(`,')dnl
dnl
dnl Standard test for having already included the file.
define(`_maketypes.m4')dnl
dnl
dnl Turn output off.  This file produces no output.
divert(-1)

dnl Groups
define(`b_grp_type',`NUMERIC(5,3)')

dnl Census
define(`b_cendate_type',`DATE')
define(`b_censtatus_type',`CHAR(1)')

dnl Turn output back on
divert`'dnl
dnl
dnl
]}])dnl End of ifdef over the whole file.
