dnl Copyright (C) 2015 The Meme Factory, Inc.  http://www.meme.com/
dnl
dnl    This file is part of Babase.
dnl
dnl    Babase is free software; you can redistribute it and/or modify
dnl    it under the terms of the GNU General Public License as published by
dnl    the Free Software Foundation; either version 3 of the License, or
dnl    (at your option) any later version.
dnl
dnl    This program is distributed in the hope that it will be useful,
dnl    but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl    GNU General Public License for more details.
dnl
dnl    You should have received a copy of the GNU General Public License
dnl    along with Babase.  If not, see <http://www.gnu.org/licenses/>.
dnl
dnl Constant data values hardcoded into the system.
dnl
dnl Karl O. Pinc <kop@meme.com>
dnl
dnl Bugs:
dnl  This file is processed by Makefiles (with m4toentityconstants)
dnl to produce xml entities for use in the documentation and the
dnl view definitions.  This processing is simplistic and requires
dnl defines be a single line and arguments be quoted.
dnl 
dnl
changequote([{[,]}])dnl m4 foolery so includes include only once.
dnl                     Once the macro is in the text, change the quotes back
ifdef([{[_warningconstants.m4]}], [{[changequote(`,')]}], [{[dnl
changequote(`,')dnl
dnl
dnl Standard test for having already included the file.
define(`_warningconstants.m4')dnl
dnl
dnl Turn output off.  This file produces no output.
divert(-1)

dnl
dnl Constants for data types.
dnl (Lengths and so forth)
dnl

dnl Maximum length of the IQType column.
define(`warn_iqtype_len', `8')

dnl Maximum length of the WRID column.
define(`warn_wrid_len', `15')

dnl Maximum length of INTEGRITY_QUERIES.IQName.
define(`warn_iqname_len', `15')

dnl Turn output back on
divert`'dnl
dnl
dnl
]}])dnl End of ifdef over the whole file.
