dnl Copyright (C) 2015 The Meme Factory, Inc.  http://www.meme.com/
dnl
dnl    This file is part of Babase.
dnl
dnl    Babase is free software; you can redistribute it and/or modify
dnl    it under the terms of the GNU General Public License as published by
dnl    the Free Software Foundation; either version 3 of the License, or
dnl    (at your option) any later version.
dnl
dnl    This program is distributed in the hope that it will be useful,
dnl    but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl    GNU General Public License for more details.
dnl
dnl    You should have received a copy of the GNU General Public License
dnl    along with Babase.  If not, see <http://www.gnu.org/licenses/>.
dnl
dnl Karl O. Pinc <kop@meme.com>
dnl
dnl Remarks:
dnl
dnl m4 includes
include(`copyright.m4')

-- Create indexes on all the warning tables.

-- Remarks:
-- See remarks in makeindexes.m4.

-- integrity_queries
CREATE INDEX integrity_queries_type ON integrity_queries (type);
CREATE INDEX integrity_queries_last_run ON integrity_queries (last_run);

-- integrity_warnings
CREATE UNIQUE INDEX integrity_warnings_iqname_warning_id
  ON integrity_warnings (iqname, warning_id);
CREATE INDEX integrity_warnings_first_seen
  ON integrity_warnings (first_seen);
CREATE INDEX integrity_warnings_last_seen
  ON integrity_warnings (last_seen);
CREATE INDEX integrity_warnings_resolved
  ON integrity_warnings (resolved)
  WHERE resolved IS NOT NULL;
CREATE INDEX integrity_warnings_deferred_to
  ON integrity_warnings (deferred_to)
  WHERE deferred_to IS NOT NULL;
CREATE INDEX integrity_warnings_category
  ON integrity_warnings (category);
CREATE INDEX integrity_warnings_warning_id
  ON integrity_warnings (warning_id);

--
-- Support tables
--


