<?php
/* Copyright (C) 2007, 2008, Karl O. Pinc
 *
 *    This file is part of Babase.
 *
 *    Babase is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with Babase.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Babase home page
 *
 * Bugs:
 *  Missing available content that, for instance, docbook does not
 *  generate good versions of.
 *
 * Karl O. Pinc <kop@meme.com>
 */
?><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>Babase Home Page</title>
    <link rel="stylesheet" href="/babase.css" type="text/css" />
    <link rel="stylesheet" href="/babase_system.css" type="text/css" />
  </head>
  <body>

<h1>Babase</h1>
<h2>The Home Page</h2>

<p><a href="/babasewiki">The Babase Wiki</a> holds the alternative home page.  Use of the wiki is recommended.</p>

<h3>Programs</h3>

<dl>
 <dt>Generic programs</dt>
  <dd>
   <ul>
    <li><a href="/phpPgAdmin/">phpPgAdmin</a></li>
   </ul>
  </dd>
 <dt>Babase's bespoke programs</dt>
  <dd>
   <ul>
    <li><a href="/programs/wwwdiff/">wwwdiff</a></li>
    <li><a href="/programs/upload/">upload</a></li>
    <li><a href="/programs/upcen/">upcen</a></li>
    <li><a href="/programs/psionload/">psionload</a></li>
    <li><a href="/ranker/">ranker</a></li>
    <li><a href="/programs/logout/">logout</a></li>
   </ul>
  </dd>
</dl>

<h3>Documentation</h3>

<p><a href="/babasewiki/WhatIsBabase">About 
The Babase Software Project</a></p>

<h4>The Babase System Technical Specifications</h4>

<dl>
 <dt>As web content:</dt>
  <dd>
   <ul>
    <li><a href="/babase_system_html/">in separate pages</a></li>
    <li><a href="/babase_system.html">as one big page</a></li>
   </ul>
  </dd>
 <dt>As plain text:</dt>
  <dd>
   <ul>
    <li><a href="/babase_system.txt">in normal width</a></li>
    <li><a href="/thin.txt">in a narrow column</a></li>
   </ul>
  </dd>
 <dt><a href="/babase_system.xml">As XML</a></dt>
</dl>

<h4>The Babase Pocket Reference</h4>

<dl>
 <dt><a href="/pocket_reference.pdf">As a PDF</a></dt>
</dl>

<h4>Individual ER Diagrams</h4>

<dl>
  <dt>In <a href="/diagrams/">various formats</a></dt>
</dl>

<h3>Source Code</h3>

<dl>
  <dt>The posted <a href="http://papio.biology.duke.edu/src/babase/VERSION">version</a></dt>
  <dt>Read <a href="http://papio.biology.duke.edu/repos/babase">the source</a> online (note that the source code revision repository will likely display better in your browser)</dt>
  <dt>Read the <a href="http://papio.biology.duke.edu/src/babase/changes">revision log</a></dt>
  <dt>Browse the <a href="http://www.darcs.net/">darcs</a> source code
      <a href="http://papio.biology.duke.edu/cgi-bin/darcs.cgi/babase/">
      revision repository</a></dt>
  <dt>Download <a href="http://papio.biology.duke.edu/src/babase.tgz">a tar archive</a> of the source</dt>
  <dt>Checkout the <a href="http://www.darcs.net/">darcs</a> (version 1.0) revision archive
      from the repository at
      <a href="http://papio.biology.duke.edu/repos/babase">http://papio.biology.duke.edu/repos/babase</a>
      </dt>
  <dt>Babase is <a href="http://opensource.org/docs/osd">Open Source</a> <a href="http://www.gnu.org/philosophy/free-sw.html">Free Software</a> licensed under the <a href="http://papio.biology.duke.edu/repos/babase/COPYING">GPL Version 3</a></dt>
  <dt>The <a href="http://papio.biology.duke.edu/repos/babase/db/README">README</a></dt>
  <dt>See the Babase wiki <a href="babasewiki/SourceCode/">source code page</a> for the ranker program's source</dt>
</dl>

</body>
</html>
