

# Install

- $ virtualenv-3.3 . && . bin/activate
- $ cd bin/python/Babase/
- $ pip install -e .
- $ cd ../../../www/pyramid/CSVDump
- $ pip install -e .

# Install jsx to compile jsx files

- $ npm install -g react-tools
- $ ./node_modules/.bin/jsx -x jsx csvdump/static/js/ csvdump/static/js

# Mount /mnt on duke locally

- $ sshfs domen@abrp-genomics.biology.duke.edu:/mnt /mnt -o uid=499

# Initial Deploy

- $ ssh duke
- $ mkdir /home/domen/babase_share/babase_domen
- $ cd /home/domen/babase_share/babase_domen
- $ darcs initialize
- (locally) $ darcs push -a domen@abrp-genomics.biology.duke.edu:babase_share/babase_domen
- $ cd /home/domen/babase_share/babase_domen/bin/python/Babase
- $ make
- $ source /srv/virtualenv/funcgendump_test/bin/activate
- $ pip install .
- $ cd /home/domen/babase_share/babase_domen/www/pyramid/CSVDump/
- $ pip install .
- $ scp -r /home/domen/babase_share/babase_domen/www/pyramid/CSVDump/csvdump/static/* /var/www/testsite/static/

- touch funcgendump_test.ini
- vim /usr/local/etc/uwsgi.d/funcgendump_test.ini

- ssh -L 8080:abrp-genomics-vpn.biology.duke.edu:80 \
abrp-genomics.biology.duke.edu
- http://localhost:8080/

# Updating deploy

- # commit your changes
- # generate static files as described in other sections of README
- # install Fabric using Python 2 (best to do it globally)
- $ fab deploy_test

## UWSGI

.ini file needs following two parameters to work under url prefix

    mount = /functional-genomic-download=pyramid_wsgi
    manage-script-name = true


# Runnning tests

- $ pip install pytest pytest-cov mock
- $ py.test
