var studies = document.getElementById('studies'),
    data_types = document.getElementById('data_types'),
    Studies,
    getQueryString,
    Alert;

var getQueryString = function ( field, url ) {
    var href = url ? url : window.location.href;
    var reg = new RegExp( '[?&]' + field + '=([^&#]*)', 'i' );
    var string = reg.exec(href);
    return string ? string[1] : null;
};


Checkboxes = React.createClass({
    render: function() {
        var that = this;
        var checkboxes = [];
        $.each(this.props.items, function(key, value) {
            if (Array.isArray(value) === true) {
                value = value.join(',');
            }
            checkboxes.push(
                <div className="checkbox">
                 <label for={key}>
                  <input type="checkbox" name={that.props.name} value={value} />
                  {key}
                 </label>
                </div>
            );
        });
        return (
            <div>
              {checkboxes}
            </div>
        );
    }
});


Alert = React.createClass({
    render: function() {
        if (!this.props.text) {
            return null;
        }
        return (
            <div className="alert alert-warning alert-dismissible" role="alert">
              <button type="button" className="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
              <strong>{decodeURIComponent(this.props.text.replace(/\+/g, ' '))}</strong>
            </div>
        );
    }
});


$('#download_zipfile').attr('action', location.pathname + "api/v1/download").submit(
    function() { $('#alerts').empty(); }
);

React.render(<Alert text={getQueryString('error')} />, document.getElementById('alerts'));

$.get(location.pathname + 'api/v1/dropdowns').success(function(data) {
  console.log(data);
  React.render(<Checkboxes items={data.studies} name="studies" />, studies);
  React.render(<Checkboxes items={data.data_types} name="data_types" />, data_types);
}).fail(function(e) {
    console.log(e);
  alert('Could not request data from the server')
});
